using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  
  [Tool]
  [GlobalClass]
  public partial class StencilCustomConfiguration:StencilModule
  { 
    [Export]
    public StencilMode mode;

    [Export]
    public BaseMaterial3D.StencilCompareEnum compare;

    [Export]
    public int reference;

    public override StencilMode GetStencilMode()
    { 
      return mode; 
    }

    public override BaseMaterial3D.StencilCompareEnum GetStencilCompare()
    { 
      return compare; 
    }

    public override int GetStencilReference()
    { 
      return reference; 
    }

  }
}